RT-MIGRATE-TEST(8)

# SPDX-License-Identifier: GPL-2.0-only

NAME
rt-migrate-test - real-time task migration program

SYNOPSIS

rt-migrate-test [-c|--check] [-D|--duration TIME] [-e|--equal] [-h|--help] [--json FILENAME] [-l|--loops LOOPS] [-m|--maxerr TIME] [-p|--prio PRIO] [-r|--run-time TIME] [-s|--sleep-time TIME] [NR_TASKS]

DESCRIPTION
Test real-time multiprocessor scheduling of tasks to ensure the highest priority tasks are running on all available CPUs

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes ('--').

In the summary of options, a value in brackets (), indicates a default value

-c, --check
    Stop if lower prio task is quicker than higher (off)

-D, --duration=TIME
    Specify a length for the test run.
    Append 'm', 'h', or 'd' to specify minutes, hours or days.

-e, --equal
    Use equal prio for #CPU-1 tasks (requires > 2 CPUS)

-h, --help
    Display usage

--json=FILENAME
    Write final results into FILENAME, JSON formatted.

-l --loops=LOOPS
    Number of iterations to run (50)

-m, --maxerr=TIME
    Max allowed error (microsecs)

-p, --prio=PRIO
    base priority to start RT tasks with (2)

-r, --run-time=TIME
    Run time (ms) to busy loop the threads (20)

-s, --sleep-time=TIME
    Sleep time (ms) between intervals (100)

[NR_TASKS]
    number of tasks to run (number of cpus + 1)

AUTHOR
rt-migrate-test was written by Steven Rostedt <srostedt@redhat.com>

This manual page was written by John Kacur <jkacur@redhat.com>